## phonon 4.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(Phonon VERSION "4.11.1")

include(FeatureSummary)

option(PHONON_BUILD_EXPERIMENTAL "Build the experimental library" ON)
option(PHONON_BUILD_DEMOS "Build the demos" OFF)
option(PHONON_BUILD_DESIGNER_PLUGIN "Build the Qt Designer plugin" ON)
option(PHONON_BUILD_DOC "Build the API documentation" OFF)
option(PHONON_BUILD_SETTINGS "Build the settings GUI" ON)

option(PHONON_NO_CAPTURE "Disable the capture capabilities")

# Not set by ECM (yet)
set(CMAKE_AUTOUIC TRUE)
set(CMAKE_AUTORCC TRUE)

find_package(ECM 5.60 NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Extra CMake Modules"
    URL "https://api.kde.org/frameworks/extra-cmake-modules/html/index.html")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(CMakePackageConfigHelpers)
include(ECMGeneratePriFile)
include(ECMGeneratePkgConfigFile)
include(ECMPoQmTools)

set(PHONON_LIB_SONAME phonon4qt5)
set(PHONON_LIB_SONAME_CAMEL Phonon4Qt5)

include(ECMSetupVersion)
ecm_setup_version(PROJECT
    VARIABLE_PREFIX PHONON
    SOVERSION 4
    VERSION_HEADER phonon/phonon_version.h
    PACKAGE_VERSION_FILE ${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake
)

# Glorified write_basic_package_version_file call for experimental. Experimental
# inherits the versions from Phonon proper, so we technically don't need this.
ecm_setup_version(${PHONON_VERSION}
    VARIABLE_PREFIX PHONON_EXPERIMENTAL
    SOVERSION ${PHONON_SOVERSION}
    PACKAGE_VERSION_FILE ${PHONON_LIB_SONAME_CAMEL}ExperimentalConfigVersion.cmake
)

set(INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/${PHONON_LIB_SONAME}")
set(PLUGIN_INSTALL_DIR ${KDE_INSTALL_QTPLUGINDIR})
if(WIN32) # Imported from Phonon VLC
    set(PLUGIN_INSTALL_DIR ${KDE_INSTALL_BINDIR})
endif()
set(BACKEND_DIR_SUFFIX "${PHONON_LIB_SONAME}_backend")
set(BACKEND_INSTALL_DIR "${PLUGIN_INSTALL_DIR}/${BACKEND_DIR_SUFFIX}")

set(PHONON_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

################################# Requirements #################################
# Core Requirements
find_package(Qt5Core)
set_package_properties(Qt5Core PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Qt5 core module"
    URL "https://www.qt.io/download")

find_package(Qt5Gui)
set_package_properties(Qt5Gui PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Qt5 GUI module"
    URL "https://www.qt.io/download")

find_package(Qt5Widgets)
set_package_properties(Qt5Widgets PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Qt5 widgets module"
    URL "https://www.qt.io/download")

# Designer Plugin
find_package(Qt5Designer)
set_package_properties(Qt5Designer PROPERTIES
    TYPE RECOMMENDED
    DESCRIPTION "Needed to build the Qt Designer plugin"
    URL "https://www.qt.io/download")

set(BUILDSYSTEM_INSTALL_DIR ${CMAKE_INSTALL_FULL_DATAROOTDIR}/${PHONON_LIB_SONAME}/buildsystem/)

add_subdirectory(cmake)
if(Qt5Designer_FOUND AND PHONON_BUILD_DESIGNER_PLUGIN)
    add_subdirectory(designer)
endif()

if(PHONON_BUILD_DOC)
    add_subdirectory(doc)
endif()

add_subdirectory(phonon)
add_subdirectory(includes)

if(PHONON_BUILD_DEMOS)
    message(STATUS "Building demos.")
    # Demos may also be built standalone, so we need to skip their find_package call!
    set(CMAKE_DISABLE_FIND_PACKAGE_Phonon4Qt5 TRUE)
    add_subdirectory(demos)
endif()

if(PHONON_BUILD_SETTINGS)
    add_subdirectory(settings)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${PHONON_LIB_SONAME}")

configure_package_config_file(
    PhononConfig.cmake.in
    ${PHONON_LIB_SONAME_CAMEL}Config.cmake
    PATH_VARS
        INCLUDE_INSTALL_DIR
        KDE_INSTALL_LIBDIR
        BUILDSYSTEM_INSTALL_DIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        COMPONENT Devel)

install(EXPORT PhononLibs
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        NAMESPACE Phonon::
        FILE PhononTargets.cmake)

if(PHONON_BUILD_EXPERIMENTAL)
    configure_package_config_file(
        PhononExperimentalConfig.cmake.in
        ${PHONON_LIB_SONAME_CAMEL}ExperimentalConfig.cmake
        PATH_VARS
            INCLUDE_INSTALL_DIR
            KDE_INSTALL_LIBDIR
            BUILDSYSTEM_INSTALL_DIR
        INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ExperimentalConfig.cmake
                  ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ExperimentalConfigVersion.cmake
            DESTINATION ${CMAKECONFIG_INSTALL_DIR}
            COMPONENT Devel
    )

    install(EXPORT PhononExperimentalLibs
            DESTINATION ${CMAKECONFIG_INSTALL_DIR}
            NAMESPACE Phonon::
            FILE PhononExperimentalTargets.cmake)
endif()

ecm_generate_pkgconfig_file(
    BASE_NAME ${PHONON_LIB_SONAME}
    INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}
    DESCRIPTION "Phonon library needed to build applications"
    INSTALL
)

ecm_generate_pri_file(
   BASE_NAME ${PHONON_LIB_SONAME}
   LIB_NAME ${PHONON_LIB_SONAME}
   DEPS "core widgets"
   FILENAME_VAR pri_filename
   INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}
)
install(FILES ${pri_filename} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== cmake/CMakeLists.txt ===
install(FILES FindPhononInternal.cmake DESTINATION ${BUILDSYSTEM_INSTALL_DIR})

=== designer/CMakeLists.txt ===
set(phononwidgetsplugin_SRCS
    phononcollection.cpp
    seeksliderplugin.cpp
    videoplayerplugin.cpp
    videoplayertaskmenu.cpp
    videowidgetplugin.cpp
    volumesliderplugin.cpp
)
qt5_add_resources(phononwidgetsplugin_SRCS phononwidgets.qrc)

add_library(phononwidgets MODULE ${phononwidgetsplugin_SRCS})

# Techincally since 5.9 we should only need uiplugins and not designer,
# in the interest of simplicity we still look for and use the designer
# target though so things definitely build on <5.9

# To bypass warnings about using the wrong/deprecated headers make
# sure to prefer UiPlugins whenever available.
if(Qt5UiPlugin_VERSION AND NOT Qt5UiPlugin_VERSION VERSION_LESS "5.9.0")
    target_link_libraries(phononwidgets Qt5::UiPlugin)
else()
    # In <5.9 one would ordinarily include QtDesigner/Foo to
    # get unified code we'll manually inject the include dir
    # into the target so we get away with Foo.
    target_include_directories(phononwidgets
        PRIVATE ${Qt5UiPlugin_INCLUDE_DIRS}
        PRIVATE ${Qt5Designer_INCLUDE_DIRS}
    )
endif()

target_link_libraries(phononwidgets
    Phonon::${PHONON_LIB_SONAME}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::Designer
)

install(TARGETS phononwidgets DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/designer)

=== doc/CMakeLists.txt ===
set(PHONON_LOGO_PATH ${CMAKE_CURRENT_SOURCE_DIR}/phonon-logo.png)
set(PHONON_DOXYGEN_OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(PHONON_BUILD_DOC_QCH "yes")
set(PHONON_DOXYGEN_QHP_NAMESPACE "org.kde.phonon.${PHONON_VERSION}")

set(PHONON_DOXYGEN_SRCS
    ${PHONON_SOURCE_DIR}/Mainpage.dox
    ${PHONON_SOURCE_DIR}/doc/Backend.dox
    ${PHONON_SOURCE_DIR}/doc/Phonon4Qt5.dox
    ${PHONON_SOURCE_DIR}/phonon
)
string(REGEX REPLACE ";" " " PHONON_DOXYGEN_SRCS "${PHONON_DOXYGEN_SRCS}")

set(PHONON_DOXYGEN_EXCLUDE
    ${PHONON_SOURCE_DIR}/phonon/backend
    ${PHONON_SOURCE_DIR}/phonon/experimental
)
string(REGEX REPLACE ";" " " PHONON_DOXYGEN_EXCLUDE "${PHONON_DOXYGEN_EXCLUDE}")


configure_file(Doxyfile.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

add_custom_target("html" ALL
    doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

add_custom_target("qch" ALL DEPENDS "html")

add_custom_target("doc" ALL DEPENDS "html" "qch")

INSTALL(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/" DESTINATION "${KDE_INSTALL_DATAROOTDIR}/libphonon/" )

=== includes/CMakeLists.txt ===
install( FILES
    phonon/AbstractAudioOutput
    phonon/AbstractMediaStream
    phonon/AbstractVideoOutput
    phonon/AddonInterface
    phonon/AudioCaptureDevice
    phonon/AudioCaptureDeviceModel
    phonon/AudioChannelDescription
    phonon/AudioChannelDescriptionModel
    phonon/AudioDataOutput
    phonon/AudioOutput
    phonon/AudioOutputDevice
    phonon/AudioOutputDeviceModel
    phonon/AudioOutputInterface
    phonon/AudioOutputInterface40
    phonon/AudioOutputInterface42
    phonon/AvCapture
    phonon/BackendCapabilities
    phonon/BackendInterface
    phonon/Effect
    phonon/EffectDescription
    phonon/EffectDescriptionModel
    phonon/EffectInterface
    phonon/EffectParameter
    phonon/EffectWidget
    phonon/Global
    phonon/GlobalDescriptionContainer
    phonon/MediaController
    phonon/MediaNode
    phonon/MediaObject
    phonon/MediaObjectInterface
    phonon/MediaSource
    phonon/Mrl
    phonon/ObjectDescription
    phonon/ObjectDescriptionData
    phonon/ObjectDescriptionModel
    phonon/ObjectDescriptionModelData
    phonon/Path
    phonon/PlatformPlugin
    phonon/SeekSlider
    phonon/StreamInterface
    phonon/SubtitleDescription
    phonon/SubtitleDescriptionModel
    phonon/VideoCaptureDevice
    phonon/VideoCaptureDeviceModel
    phonon/VideoPlayer
    phonon/VideoWidget
    phonon/VideoWidgetInterface
    phonon/VideoWidgetInterface44
    phonon/VideoWidgetInterfaceLatest
    phonon/VolumeFaderEffect
    phonon/VolumeFaderInterface
    phonon/VolumeSlider
DESTINATION ${INCLUDE_INSTALL_DIR}/phonon COMPONENT Devel)

set(COMPAT_HEADERS
    old/Phonon/AbstractAudioOutput
    old/Phonon/AbstractMediaStream
    old/Phonon/AbstractVideoOutput
    old/Phonon/AddonInterface
    old/Phonon/AudioDevice
    old/Phonon/AudioDeviceEnumerator
    old/Phonon/AudioOutput
    old/Phonon/AudioOutputDevice
    old/Phonon/AudioOutputDeviceModel
    old/Phonon/AudioOutputInterface
    old/Phonon/BackendCapabilities
    old/Phonon/BackendInterface
    old/Phonon/Effect
    old/Phonon/EffectDescription
    old/Phonon/EffectDescriptionModel
    old/Phonon/EffectInterface
    old/Phonon/EffectParameter
    old/Phonon/EffectWidget
    old/Phonon/Global
    old/Phonon/MediaController
    old/Phonon/MediaNode
    old/Phonon/MediaObject
    old/Phonon/MediaObjectInterface
    old/Phonon/MediaSource
    old/Phonon/ObjectDescription
    old/Phonon/ObjectDescriptionModel
    old/Phonon/Path
    old/Phonon/PlatformPlugin
    old/Phonon/SeekSlider
    old/Phonon/StreamInterface
    old/Phonon/VideoPlayer
    old/Phonon/VideoWidget
    old/Phonon/VideoWidgetInterface
    old/Phonon/VolumeFaderEffect
    old/Phonon/VolumeFaderInterface
    old/Phonon/VolumeSlider
)

install(FILES ${COMPAT_HEADERS}
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon
    COMPONENT Devel)

if (PHONON_BUILD_EXPERIMENTAL)
    install(FILES
        old/Phonon/Experimental/AbstractVideoDataOutput
        old/Phonon/Experimental/AudioDataOutput
        old/Phonon/Experimental/SnapshotInterface
        old/Phonon/Experimental/VideoDataOutput
        old/Phonon/Experimental/VideoDataOutputInterface
        old/Phonon/Experimental/VideoFrame
        old/Phonon/Experimental/VideoFrame2
        old/Phonon/Experimental/Visualization
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon/Experimental COMPONENT Devel)
    # Qt4.x never included the experimental library, so no need for compat headers.
endif (PHONON_BUILD_EXPERIMENTAL)

=== settings/CMakeLists.txt ===
add_definitions(-DPHONON_LIB_SONAME=\"${PHONON_LIB_SONAME}\")

set(SRCS
    backendselection.cpp
    backendselection.ui
    devicepreference.cpp
    devicepreference.ui
    main.cpp
    settings.cpp
    settings.qrc
    settings.ui
)

ecm_create_qm_loader(SRCS phononsettings_qt)

add_executable(phononsettings ${SRCS})
target_link_libraries(phononsettings
    Phonon::phonon4qt5
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
)

install(TARGETS phononsettings ${INSTALL_TARGETS_DEFAULT_ARGS})

=== demos/phota/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(phota)

set(CMAKE_AUTOMOC TRUE)

find_package(Phonon4Qt5 NO_MODULE) # Not required so it builds within phonon as well

set(phota_SRCS
    main.cpp
    mainwindow.cpp
    mediacontroller.cpp
    videoeffects.cpp
)

qt5_wrap_ui(phota_SRCS videoeffects.ui)

add_executable(phota ${phota_SRCS})
target_link_libraries(phota Phonon::${PHONON_LIB_SONAME} Qt5::Core Qt5::Widgets)

=== demos/simplecapture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(simplecapture)

set(CMAKE_AUTOMOC TRUE)

find_package(Phonon4Qt5 NO_MODULE) # Not required so it builds within phonon as well

set(simplecapture_SRCS
    main.cpp
    capture.cpp
)

add_executable(simplecapture ${simplecapture_SRCS})
target_link_libraries(simplecapture Phonon::${PHONON_LIB_SONAME} Qt5::Core Qt5::Widgets)

=== debian/changelog ===
phonon (4:4.11.1-4) unstable; urgency=medium

  [ Debconf translation updates ]
  * Dutch (Frans Spiesschaert). (Closes: #945358)
  * Portuguese (Américo Monteiro). (Closes: #962410)
  * Brazilian portuguese (Jorge Neto, Adriano Rafael Gomes). (Closes: #987438)
  * Spanish (Camaleón). (Closes: #987338)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 May 2021 18:22:52 -0300

phonon (4:4.11.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Nov 2019 21:09:15 +0100

phonon (4:4.11.1-2) experimental; urgency=medium

  * Team upload.
  * Build and ship the phononsettings application:
    - add the new phonon4qt5settings binary package, with the phononsettings,
      and the translations
    - remove the -DPHONON_BUILD_SETTINGS=OFF cmake parameter
  * Remove few qt4 leftovers.
  * Split the shared data files of libphonon to an own libphonon4qt5-data.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Nov 2019 23:02:53 +0100

phonon (4:4.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add German debconf translation (Closes: #939646). Thanks Helge Kreutzmann!
  * Add French translation (Closes: #941302). Thanks Jean-Pierre Giraud!
  * Add Russian translation (Closes: #942637). Thanks Lev Lamberov!

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.4.1, no changes required.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump extra-cmake-modules to 5.60
  * Update the cmake parameters:
    - replace -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON with
      -DKDE_INSTALL_USE_QT_SYS_PATHS=ON, same effect
    - remove -DPHONON_BUILD_PHONON4QT5=ON, and
      -DPHONON_INSTALL_QT_COMPAT_HEADERS=ON, no more used
    - add -DPHONON_BUILD_SETTINGS=OFF for now (the phononsettings tool will
      be enabled later)
  * Update the patches:
    - phonon-inc.patch: drop, no more needed
    - phonon_is_not_forced_in_KDE.diff: drop, no more needed
    - findqt4_optional_x11.diff: drop, no more needed
  * Update the symbols file.
  * Update install files.
  * Remove translations of phononsettings, which is not shipped.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - make sure libphonon4qt5experimental4 has a strict dependency on
      libphonon4qt5-4
    - call the right debhelper command instead of $(overridden_command)
    - use $(DEB_VERSION_EPOCH_UPSTREAM) from /usr/share/dpkg/pkg-info.mk
      instead of $(dqk_upstream_version)
    - remove the -DKDE_INSTALL_USE_QT_SYS_PATHS=ON cmake parameter, as it is
      already set by the kf5 addon
  * Move all the experimental headers from libphonon4qt5-dev to
    libphonon4qt5experimental-dev
    - add proper breaks/replaces

 -- Pino Toscano <pino@debian.org>  Wed, 06 Nov 2019 19:03:40 +0100

phonon (4:4.10.3-3) unstable; urgency=medium

  * Drop Qt 4 support (Closes: #875095).
  * Bump debhelper compat to 12.
    - Pass --fail-missing to dh_missing instead of dh_install.
  * Drop debconf translations for phonon-backend-null and set up translations
    for phonon4qt5-backend-null.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 31 Aug 2019 13:35:27 -0300

=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 12~),
               dpkg-dev (>= 1.15.5),
               extra-cmake-modules (>= 5.60~),
               libglib2.0-dev,
               libpulse-dev (>= 0.9.21),
               libqt5opengl5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qttools5-dev,
Standards-Version: 4.4.1
Homepage: https://phonon.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon.git

Package: libphonon4qt5-4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libphonon4qt5-data (>= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: multimedia framework from KDE using Qt 5 - core library
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.

Package: libphonon4qt5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libphonon4qt5-4 (<< 4:4.11.1-2~)
Replaces: libphonon4qt5-4 (<< 4:4.11.1-2~)
Description: multimedia framework from KDE using Qt 5 - core library data
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the shared data for the core Phonon library.

Package: libphonon4qt5-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt5-4 (= ${binary:Version}),
         phonon4qt5-backend-null | phonon4qt5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: multimedia framework from KDE using Qt 5 - development files
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 5 applications
 using the Phonon cross-platform multimedia framework.

Package: libphonon4qt5experimental-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt5experimental4 (= ${binary:Version}), ${misc:Depends}
Breaks: libphonon4qt5-dev (<< 4:4.11.1~)
Replaces: libphonon4qt5-dev (<< 4:4.11.1~)
Description: multimedia framework from KDE using Qt 5 - experimental development files
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.

Package: libphonon4qt5experimental4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libphonon4qt5-4 (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Provides: phonon4qt5experimental-abi-1
Description: multimedia framework from KDE using Qt 5 - experimental library (internal)
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.

Package: phonon4qt5
Architecture: any
Multi-Arch: same
Depends: libphonon4qt5-4 (>= ${source:Version}),
         ${misc:Depends},
         ${phonon:Recommended-Backend-qt5} | phonon4qt5-backend,
Suggests: phonon4qt5-backend-gstreamer, phonon4qt5-backend-vlc
Description: multimedia framework from KDE using Qt 5 - metapackage
 Phonon Qt 5 is a multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).

Package: phonon4qt5-backend-null
Architecture: any
Multi-Arch: same
Provides: phonon4qt5-backend
Depends: libphonon4qt5-4, ${misc:Depends}
Conflicts: phonon4qt5-backend
Description: multimedia framework from KDE using Qt 5 - null back-end (no real back-end)
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.

Package: phonon4qt5settings
Architecture: any
Depends: libphonon4qt5-4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: multimedia framework from KDE using Qt 5 - settings application
 Phonon is a Qt 5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains a graphical configuration for the Phonon cross-platform
 multimedia framework.
